services:
  adguardhome:
    image: adguard/adguardhome:latest
    container_name: adguardhome
    restart: unless-stopped
    ports:
      - 53:53/tcp
      - 53:53/udp
      # - 80:3000 # Only use during setup
    volumes:
      - work:/opt/adguardhome/work
      - conf:/opt/adguardhome/conf

volumes:
  work:
  conf:

networks:
  default:
    name: proxy
    external: true
